import { Http } from '@angular/http';
import { BehaviorSubject } from 'rxjs';
import { Observable } from 'rxjs/Observable';
import { CryptService } from '../crypt.service/crypt.service';
import 'rxjs/add/operator/map';
export declare class CryptHttpService {
    private http;
    private crypt;
    secret: string;
    cryptInactive: boolean;
    warnInactive: boolean;
    running: boolean;
    isOnLoad: BehaviorSubject<boolean>;
    constructor(http: Http, crypt: CryptService);
    private encrypt(content);
    private decrypt(content);
    private setCryptHeaders(headers);
    private warn();
    configure(options: any): void;
    onLoad(): Observable<boolean>;
    get(url: string, options: any): Observable<any>;
    patch(url: string, body: any, options: any): Observable<any>;
    post(url: string, body: any, options: any): Observable<any>;
    put(url: string, body: any, options: any): Observable<any>;
    delete(url: string, options: any): Observable<any>;
    options(url: string, options: any): Observable<any>;
}
